xAI: Grok Imagine Video 1.5 (Image to Video) API Reference

About

Generate videos from images with audio using xAI's Grok Imagine 1.5 Video model.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "x-ai/grok-imagine-video-1.5/image-to-video",
  "prompt": "(0-5s) Medium shot, she speaks warmly while gesturing to a product. (5-10s) Slow push-in to a close-up, glowing skin and expressive eyes. (10-15s) Cut to an over-shoulder framing of the vanity as she smiles. Glossy, warm, cinematic.",
  "image_urls": ["https://storage.googleapis.com/infron_gcs/quick-upload/2026/06/22/20260622-210539-76926046-1.png"],
  "duration": 15,
  "aspect_ratio": "16:9",
  "resolution": "720p",
  "n": 1
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "2ff5dd1094144021b07577893465e5ac",
    "object": "video",
    "model": "x-ai/grok-imagine-video-1.5/image-to-video",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/videos/tasks/2ff5dd1094144021b07577893465e5ac"
    },
    "created_at": "2026-06-23 07:49:43.46"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/videos/tasks/2ff5dd1094144021b07577893465e5ac \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "2ff5dd1094144021b07577893465e5ac",
    "object": "video",
    "model": "x-ai/grok-imagine-video-1.5/image-to-video",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1782200983,
    "start_time": 1782200984,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-06-23 07:49:43"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "2ff5dd1094144021b07577893465e5ac",
    "object": "video",
    "model": "x-ai/grok-imagine-video-1.5/image-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1782200983,
    "start_time": 1782200984,
    "finish_time": 1782201105,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_9a9698ee-9d07-4ab8-8820-0ac2977593e5.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 15,
      "generate_audio": false,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "720p",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 15
    },
    "cost": {
      "total_cost": 2.11,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 2.11,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-06-23 07:49:43"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
image_urlsarrayYes--[1]Image URLs.
durationintegerNo--[1,15]Duration of the video in seconds, between 1 and 15.
aspect_ratiostringNo16:91:1, 16:9, 9:16, 4:3, 3:4, 3:2, 2:3Aspect ratio of the generated video.
resolutionstringNo480p480p, 720pResolution of the generated video.
nintegerNo1[1]Number of videos to generate.

Example request

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "x-ai/grok-imagine-video-1.5/image-to-video",
  "prompt": "(0-5s) Medium shot, she speaks warmly while gesturing to a product. (5-10s) Slow push-in to a close-up, glowing skin and expressive eyes. (10-15s) Cut to an over-shoulder framing of the vanity as she smiles. Glossy, warm, cinematic.",
  "image_urls": ["https://storage.googleapis.com/infron_gcs/quick-upload/2026/06/22/20260622-210539-76926046-1.png"],
  "duration": 15,
  "aspect_ratio": "16:9",
  "resolution": "720p",
  "n": 1
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the video task.
data.task_idstring--ID of the video task.
data.objectstring--Object type of the video task.
data.modelstring--Model name of the video task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the video task.
data.fail_reasonstring--Fail reason of the video task.
data.submit_timeinteger--Timestamp of the video task submission.
data.start_timeinteger--Timestamp of the video task start.
data.finish_timeinteger--Timestamp of the video task finish.
data.outputsarray--Outputs of the video task.
data.created_atstring--Timestamp of the video task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "2ff5dd1094144021b07577893465e5ac",
    "object": "video",
    "model": "x-ai/grok-imagine-video-1.5/image-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1782200983,
    "start_time": 1782200984,
    "finish_time": 1782201105,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_9a9698ee-9d07-4ab8-8820-0ac2977593e5.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 15,
      "generate_audio": false,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "720p",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 15
    },
    "cost": {
      "total_cost": 2.11,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 2.11,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-06-23 07:49:43"
  }
}

3. Detailed Pricing

Pricing TypeUnitPrice
Input image1 image$0.010
Output video1 second$0.080–$0.140
ResolutionEstimated Price
480p$0.080 / second
720p$0.140 / second